#!/usr/bin/perl

#    AnaCam.  Take anaglyph pictures on Android.
#    Copyright (C) 2012  Daniel Kraft <d@domob.eu>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Generate shell code including the script-fu code as bash literal.

use strict;

output ("script_fu_code", "combineAnaglyph.scm");
output ("usage", "usage.txt");

sub output
{
  my $var = shift;
  my $file = shift;
  
  my $content = `cat $file`;
  my $EOF = "EndOfFileMarker";

  print "$var=\$(cat <<$EOF\n$content$EOF\n)\n";
}
