#!/bin/bash

#    AnaCam.  Take anaglyph pictures on Android.
#    Copyright (C) 2012  Daniel Kraft <d@domob.eu>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Generate a release of anacam-combiner.

version=1.0

./generate.sh
rootdir=`mktemp -d`
dir=$rootdir/anacam-combiner-$version

mkdir $dir
cp anacam-combiner combineAnaglyph.scm ../COPYING README $dir

( \
  cd $rootdir; \
  tar jcf anacam-combiner-$version.tar.bz2 anacam-combiner-$version \
)
mv $rootdir/anacam-combiner-$version.tar.bz2 .

rm -rf $rootdir
